package com.ruoyi.platform.service.impl;

import com.ruoyi.platform.domain.DatasetTempStorage;
import com.ruoyi.platform.mapper.DatasetTempStorageDao;
import com.ruoyi.platform.service.DatasetTempStorageService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;

/**
 * 数据集暂存的数据(DatasetTempStorage)表服务实现类
 *
 * @author makejava
 * @since 2024-09-12 09:42:10
 */
@Service("datasetTempStorageService")
public class DatasetTempStorageServiceImpl implements DatasetTempStorageService {
    @Resource
    private DatasetTempStorageDao datasetTempStorageDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public DatasetTempStorage queryById(Integer id) {
        return this.datasetTempStorageDao.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param datasetTempStorage 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    @Override
    public Page<DatasetTempStorage> queryByPage(DatasetTempStorage datasetTempStorage, PageRequest pageRequest) {
        long total = this.datasetTempStorageDao.count(datasetTempStorage);
        return new PageImpl<>(this.datasetTempStorageDao.queryAllByLimit(datasetTempStorage, pageRequest), pageRequest, total);
    }

    @Override
    public DatasetTempStorage queryByDatasetTempStorage(DatasetTempStorage datasetTempStorage) {
        return this.datasetTempStorageDao.queryByDatasetTempStorage(datasetTempStorage);
    }

    /**
     * 新增数据
     *
     * @param datasetTempStorage 实例对象
     * @return 实例对象
     */
    @Override
    public DatasetTempStorage insert(DatasetTempStorage datasetTempStorage) {
        this.datasetTempStorageDao.insert(datasetTempStorage);
        return datasetTempStorage;
    }

    /**
     * 修改数据
     *
     * @param datasetTempStorage 实例对象
     * @return 实例对象
     */
    @Override
    public DatasetTempStorage update(DatasetTempStorage datasetTempStorage) {
        this.datasetTempStorageDao.update(datasetTempStorage);
        return this.queryById(datasetTempStorage.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.datasetTempStorageDao.deleteById(id) > 0;
    }
}
